Bug 54692 - Need new smaller allocator
Summary: Need new smaller allocator
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Memory allocators (Show other bugs)
(Show other bugs)
Version: CVS
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: ecc-bugs-int
QA Contact: ecc-bugs-int
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-16 12:56 UTC by Jonathan Larmour
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:03:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Larmour 2001-10-16 12:56:30 UTC
We need a new memory allocator that is much more efficient than the
existing variable block one. This would use the same efficient block layout
scheme as dlmalloc (to preserve space) but would be on a much smaller
scale, and more configurable (e.g. coalescing, etc.)

This could then replace the one-off allocator in redboot's decompress.c

Comment 1 Alex Schuilenburg 2003-06-20 16:03:00 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=54692


Note You need to log in before you can comment on or make changes to this bug.